gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r23453 - in gnunet: . contrib doc


From: gnunet
Subject: [GNUnet-SVN] r23453 - in gnunet: . contrib doc
Date: Mon, 27 Aug 2012 20:52:23 +0200

Author: grothoff
Date: 2012-08-27 20:52:23 +0200 (Mon, 27 Aug 2012)
New Revision: 23453

Removed:
   gnunet/contrib/hostlist.cgi
   gnunet/contrib/hostlist.php
   gnunet/contrib/submit
Modified:
   gnunet/Makefile.am
   gnunet/contrib/Makefile.am
   gnunet/contrib/report.sh
   gnunet/doc/Makefile.am
Log:
updating report.sh, removing obsolete hostlist scripts

Modified: gnunet/Makefile.am
===================================================================
--- gnunet/Makefile.am  2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/Makefile.am  2012-08-27 18:52:23 UTC (rev 23453)
@@ -11,7 +11,7 @@
 gnunetinclude_HEADERS = gnunet_config.h
 
 docdir = $(datadir)/doc/gnunet/
-doc_DATA = COPYING
+doc_DATA = COPYING README
 
 ACLOCAL_AMFLAGS = -I m4
 

Modified: gnunet/contrib/Makefile.am
===================================================================
--- gnunet/contrib/Makefile.am  2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/contrib/Makefile.am  2012-08-27 18:52:23 UTC (rev 23453)
@@ -27,8 +27,6 @@
 
 EXTRA_DIST = \
  coverage.sh \
- hostlist.cgi \
- hostlist.php \
  report.sh \
  terminate.py.in \
  gnunet_pyexpect.py.in \

Deleted: gnunet/contrib/hostlist.cgi
===================================================================
--- gnunet/contrib/hostlist.cgi 2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/contrib/hostlist.cgi 2012-08-27 18:52:23 UTC (rev 23453)
@@ -1,5 +0,0 @@
-#!/bin/sh
-# This is a CGI script to generate the host list on-demand.
-# by Michael Wensley, with minor improvements by Christian Grothoff
-echo -ne "Content-Type: application/octet-stream\r\n\r\n"
-cat /var/lib/gnunet/data/hosts/*.{2,3,4,5,6,8,12,17,23,25}

Deleted: gnunet/contrib/hostlist.php
===================================================================
--- gnunet/contrib/hostlist.php 2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/contrib/hostlist.php 2012-08-27 18:52:23 UTC (rev 23453)
@@ -1,35 +0,0 @@
-<?php
-// Requires PHP >= 4.3.0
-// Author: "Krasko Oleksandr" <address@hidden>
-// Minor improvements by Christian Grothoff <address@hidden>
-header("Content-Type: application/octet-stream\r\n\r\n");
-$extmas = array();
-$pv=$_GET['p'];
-if (isset($pv))
-  {
-    for ($ii=0;$ii<64;$ii++)
-      if (0 != ($pv & (1 << $ii)))
-       $extmas[] = $ii;
-  }
-else
-  {
-    $extmas = array('2','3','4','5','6','8','12','17','23','25');
-  }
-$path = '/var/lib/gnunet/data/hosts/'; // adjust as necessary
-$dir = opendir($path);
-if (! $dir)
-  die("Cannot open directory $path.\n");
-$mas = array();
-while ($fname = readdir($dir)) {
-  $fn = $path . '/' . $fname;
-  if (is_file($fn)) {
-    $dpo = strpos($fname, '.') + 1;
-    $len = strlen($fname);
-    if (in_array(substr($fname, $dpo - $len), $extmas)) 
-      $mas[] = $fn;
-  }
-}
-shuffle($mas); // randomize order
-foreach ($mas as $val) 
-  echo file_get_contents($val);
-?>

Modified: gnunet/contrib/report.sh
===================================================================
--- gnunet/contrib/report.sh    2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/contrib/report.sh    2012-08-27 18:52:23 UTC (rev 23453)
@@ -156,6 +156,26 @@
   fi
 fi
 
+TEST=`$WHICH dpkg 2> /dev/null`
+if test -n "$TEST"; then
+  LINES=`dpkg -s libunistring-dev | grep Version | wc -l`
+  if test "$LINES" = "1"
+  then
+    VERSION=`dpkg -s libunistring-dev | grep Version | awk '{print $2}'`
+    echo "libunistring   : libunistring3-dev-$VERSION.deb"
+  else
+    echo "libunistring   : dpkg: libunistring3-dev not installed"
+  fi
+else
+  TEST=`$WHICH rpm 2> /dev/null`
+  if test -n "$TEST"; then
+    rpm -q unistring | sed -e "s/unistring-//" 2> /dev/null | \
+      awk '{print "libunistring   : "$1.rpm}'
+  else
+    echo "libunistring   : Test not available"
+  fi
+fi
+
 TEST=`$WHICH gettext 2> /dev/null`
 if test -n "$TEST"; then
   gettext --version | head -n1 2> /dev/null | \
@@ -173,15 +193,7 @@
   echo "libcurl        : Not found"
 fi
 
-
-TEST=`which qmake 2> /dev/null`
-if test -x "$TEST"; then
-  qmake --version | tail -n 1 | awk '{print "Qt             : "$4}'
-else
-  echo "Qt             : Not found"
-fi
-
-echo -n "MHD            : "
+echo -n "libmicrohttpd  : "
 TMPFILE=`mktemp /tmp/mhd-version-testXXXXXX`
 cat - >$TMPFILE.c <<EOF
 #include <microhttpd.h>
@@ -197,4 +209,36 @@
 rm -f $TMPFILE $TMPFILE.bin
 
 
+echo -n "GNU GLPK       : "
+TMPFILE=`mktemp /tmp/glpk-version-testXXXXXX`
+cat - >$TMPFILE.c <<EOF
+#include <glpk.h>
+#include <stdio.h>
+int main()
+{
+  fprintf (stdout, "%u.%u\n", GLP_MAJOR_VERSION, GLP_MINOR_VERSION);
+  return 0;
+}
+EOF
+
+gcc -o $TMPFILE $TMPFILE.c 2> /dev/null && $TMPFILE || echo "Not found"
+rm -f $TMPFILE $TMPFILE.bin
+
+
+echo -n "GNUtls         : "
+TMPFILE=`mktemp /tmp/gnutls-version-testXXXXXX`
+cat - >$TMPFILE.c <<EOF
+#include <gnutls/gnutls.h>
+#include <stdio.h>
+int main()
+{
+  fprintf (stdout, "%s\n", GNUTLS_VERSION);
+  return 0;
+}
+EOF
+
+gcc -o $TMPFILE $TMPFILE.c 2> /dev/null && $TMPFILE || echo "Not found"
+rm -f $TMPFILE $TMPFILE.bin
+
+
 echo "--------------------------------------------------------------"

Deleted: gnunet/contrib/submit
===================================================================
--- gnunet/contrib/submit       2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/contrib/submit       2012-08-27 18:52:23 UTC (rev 23453)
@@ -1,13 +0,0 @@
-#!/bin/sh
-echo "Are you sure you want to commit changes to these files?"
-svn status
-read dummy
-svn diff
-echo "Are you sure you want to commit the changes above (CTRL-C to abort)"
-read dummy
-if test 0 != $#
-then
-  svn commit -m "$*"
-else
-  svn commit 
-fi

Modified: gnunet/doc/Makefile.am
===================================================================
--- gnunet/doc/Makefile.am      2012-08-27 18:51:58 UTC (rev 23452)
+++ gnunet/doc/Makefile.am      2012-08-27 18:52:23 UTC (rev 23453)
@@ -1,3 +1,6 @@
 SUBDIRS = man
 
 EXTRA_DIST = README.mysql README.postgres
+
+docdir = $(datadir)/doc/gnunet/
+doc_DATA = README.mysql README.postgres




reply via email to

[Prev in Thread] Current Thread [Next in Thread]